Support » Plugin: Genesis Simple Hooks » Genesis 2.2.1 Breaks the Genesis Simple Hooks Page

  • Totally upset with your latest version 2.2.1 as it shows Error “Error Rendering Page.”. My site is hosted on Pagely which is using latest WP version 4.9.5.

    Meanwhile I have restored my site by demoting plugin to it’s previous version.

    How could you release such bug version? Please take action asap. Thanks in advance.

    • This topic was modified 4 years, 9 months ago by ktbrothers.
Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support Nick C

    (@modernnerd)

    Hi, @ktbrothers.

    Thank you for this report.

    The “Error Rendering Page” message is a generic error specific to Pagely. If you follow these instructions, Pagely will present the logs showing the actual PHP error causing them to display their error page:

    https://support.pagely.com/hc/en-us/articles/204357740-Debugging-Errors-on-WordPress-Viewing-Logs

    If you’re able to share a copy of the PHP error log with us it may prove helpful in solving this and taking action as you request. You could use a staging site or contact Pagely support if you do not wish to update to Genesis Simple Hooks 2.2.1 on your live site.

    If you prefer not to post the error log here, you can contact us at https://my.studiopress.com/help/ or support [at] studiopress [dot] com with a copy of the logs and a link to this forum topic.

    Plugin Support Nick C

    (@modernnerd)

    One other thing you can try is to take a backup, remove all content on the Simple Hooks page while using 2.2.0, and then update to 2.2.1.

    If the error is not visible in 2.2.1 with no content in any of the hooks fields, the issue relates to custom code in the hook fields. In this case you can review the logs as above for errors relating to PHP in hook field content.

    Thread Starter ktbrothers

    (@ktbrothers)

    Hi @modernnerd

    Thanks to provide quick solutions, so I have checked the log and it reported the error as

    [06-Apr-2018 04:11:48 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function genesis_scripts() in /dom7538/wp-content/plugins/genesis-simple-hooks/includes/class-genesis-simple-hooks-admin.php:106
    Stack trace:
    #0 /wordpress-4.9.5/wp-includes/class-wp-hook.php(286): Genesis_Simple_Hooks_Admin->scripts('')
    #1 /wordpress-4.9.5/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #2 /wordpress-4.9.5/wp-includes/plugin.php(453): WP_Hook->do_action(Array)
    #3 /wordpress-4.9.5/wp-admin/admin.php(214): do_action('load-genesis_pa...')
    #4 {main}
      thrown in /dom7538/wp-content/plugins/genesis-simple-hooks/includes/class-genesis-simple-hooks-admin.php on line 106
    [06-Apr-2018 04:11:51 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function genesis_scripts() in /dom7538/wp-content/plugins/genesis-simple-hooks/includes/class-genesis-simple-hooks-admin.php:106

    So I just now comment to the line 106 which called to the function genesis_scripts(); and the plugin started to works.

    Please review the log.

    [10-Apr-2018 11:02:29 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function genesis_scripts() in /srv/www/website/htdocs/wp-content/plugins/genesis-simple-hooks/includes/class-genesis-simple-hooks-admin.php:106
    Stack trace:
    #0 /srv/www/website/htdocs/wp-includes/class-wp-hook.php(286): Genesis_Simple_Hooks_Admin->scripts('')
    #1 /srv/www/website/htdocs/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #2 /srv/www/website/htdocs/wp-includes/plugin.php(453): WP_Hook->do_action(Array)
    #3 /srv/www/website/htdocs/wp-admin/admin.php(214): do_action('load-genesis_pa...')
    #4 {main}
      thrown in /srv/www/website/htdocs/wp-content/plugins/genesis-simple-hooks/includes/class-genesis-simple-hooks-admin.php on line 106
    • This reply was modified 4 years, 9 months ago by Robin.
    Plugin Support Nick C

    (@modernnerd)

    Thank you for sharing these error logs, @ktbrothers and @cinghaman.

    Please could you try updating the Genesis framework to version 2.5.0 or higher? (The latest is 2.6.1, available from your StudioPress account area or WordPress updates page if “check for updates” is enabled at Genesis → Theme Settings.)

    The “Call to undefined function genesis_scripts()” message could appear if you’re running a version of Genesis before 2.5, which is when genesis_scripts() was added.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Genesis 2.2.1 Breaks the Genesis Simple Hooks Page’ is closed to new replies.